2010-10-18  Werner Koch  <wk@g10code.com>

	Release 1.4.11.

2010-10-10  Werner Koch  <wk@g10code.com>

	* configure.ac (AH_BOTTOM): Add GNUPG_BAK_SFX and GNUPG_TMP_SFX.
	Define GNUPG_HOMEDIR et al for VMS.

2010-10-05  Werner Koch  <wk@g10code.com>

	* configure.ac: Remove check for the faqprog.

2010-09-28  Werner Koch  <wk@g10code.com>

	* configure.ac (AH_BOTTOM) [__VMS]: Fix homedir.

2010-09-23  Werner Koch  <wk@g10code.com>

	Release 1.4.11rc1.

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): Remove
	--enable-selinux-support option.

2009-09-02  Werner Koch  <wk@g10code.com>

	Release 1.4.10.

	* configure.ac (AC_RG_ENABLE): Don't disable try_gettext in
	--enable-minimal.
	* README <--enable-minimal>: Mention --disable-nls.

2009-08-13  Werner Koch  <wk@g10code.com>

	Release 1.4.10rc1.

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): Remove now obsolete
	--enable-camellia

2009-08-13  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note Camellia and hkps.

2009-07-21  Werner Koch  <wk@g10code.com>

	* configure.ac (AH_BOTTOM): Add macros for estream-printf.
	(estream_PRINTF_INIT): Add it.

2009-06-05  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Remove Camellia restriction.

2008-10-03  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac, acinclude.m4: Remove GNUPG_CHECK_DOCBOOK_TO_TEXI
	as we no longer use it.  Noted by John Clizbe.

2008-08-27  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Use printf for the most portable SVN version
	detection.

2008-08-11  Werner Koch  <wk@g10code.com>

	* configure.ac: Check for size of time_t.

2008-04-01  Werner Koch  <wk@g10code.com>

	* configure.ac (AC_INIT): Fix quoting.

2008-03-31  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Require curl 7.10 (Oct 1 2002) or later as we use
	curl_version_info().

2008-03-26  Werner Koch  <wk@g10code.com>

	Release 1.4.9.

2008-03-07  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Darwin's /bin/sh has a builtin echo that doesn't
	understand '-n'.  Use tr to trim the carriage return instead.

2008-03-06  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Post-release update.

2007-12-20  Werner Koch  <wk@g10code.com>

	Released 1.4.8.

2007-12-17  Werner Koch  <wk@g10code.com>

	* configure.ac: Add special treatment for HAVE_LDAP_START_TLS_SA.

2007-12-14  Werner Koch  <wk@g10code.com>

	Released 1.4.8rc1.

2007-12-13  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note SHA-224 typo.

2007-11-17  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Say a bit more about RFC-4880.  Note some defaults
	changing.

2007-11-16  Werner Koch  <wk@g10code.com>

	Released 1.4.8rc1.

2007-10-27  David Shaw  <dshaw@jabberwocky.com>

	* README: Update notes about OSX Leopard.

2007-10-23  Werner Koch  <wk@g10code.com>

	Switched entire package to GPLv3+.

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): Enable Camellia and mailto.

	* configure.ac (MPI_OPT_FLAGS): Always use AM_PO_SUBDIRS.

2007-10-23  gettextize  <bug-gnu-gettext@gnu.org>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.16.1.

2007-10-17  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Change various help messages to use
	AC_HELP_STRING.

2007-07-18  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: It seems that AM_GNU_GETTEXT doesn't like being
	run conditionally and it confuses the includes when doing later
	type checks.  This is bug#810.

2007-07-08  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: AM_PROG_CC_C_O is desired by automake 1.10 to do
	per-target builds (like we do in the keyserver dir), but exists in
	the currently-used 1.9.3 as well.

2007-06-13  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add --enable-camellia.  Disabled by default.  Do
	not enable this unless you're doing interop testing.

2007-04-16  Werner Koch  <wk@g10code.com>

	* acinclude.m4: Fix last change.  Make test self-contained by
	checking for sysconf and getpagesize.  Remove indentation for the
	sake of broken C-89 cpp.

2007-04-16  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add a HAVE_SHM conditional.

	* acinclude.m4: Use sysconf() if available to avoid a false
	positive on HAVE_BROKEN_MLOCK when checking for page size.

	* configure.ac: Check for sysconf.

2007-04-15  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: QNX puts resolver functions in libsocket.  From
	Sean Boudreau.

2007-03-05  Werner Koch  <wk@g10code.com>

	Released 1.4.7.

2007-03-04  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note --allow-multiple-messages.

2006-12-21  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Only check for libusb if we're building with card
	support.  Noted by Gilles Espinasse.

2006-12-11  Werner Koch  <wk@g10code.com>

	* Makefile.am (DISTCLEANFILES): Removed g10defs.h.

	* configure.ac (AC_CONFIG_COMMANDS): Removed creation of
	g10defs.h.
	(AH_BOTTOM): Moved stuff from g10defs.h to config.h. 

2006-12-07  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: AM_CONDITIONAL must not be used inside an if/then.

2006-12-07  Werner Koch  <wk@g10code.com>

	* configure.ac: Remove GNUPG_DATADIR for non-W32 systems.

2006-12-06  Werner Koch  <wk@g10code.com>

	Released 1.4.6.

2006-12-04  Werner Koch  <wk@g10code.com>

	* README: Add hint on hjow to set CC_FOR_BUILD.
	* configure.ac (CC_FOR_BUILD): New.

2006-12-02  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note the CVE for bug#728, --s2k-count,
	--passphrase-repeat, and the OpenSSL exception.

2006-11-29  Werner Koch  <wk@g10code.com>

	Released 1.4.6rc1.

2006-11-05  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: --enable-minimal leaves out gettext and all
	resolver functions (SRV, PKA, & CERT).

2006-10-02  Werner Koch  <wk@g10code.com>

	* acinclude.m4 (GNUPG_SYS_SYMBOL_UNDERSCORE): Add case for mingw32
	and allow setting the variable on the command line.  Fixes bug 518.
	Also use HOST instead of TARGET.
	
	* README: Add information about the forthcoming GnuPG 2.0.

	* configure.ac (AB_INIT): New.

2006-09-28  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Move strsep to AC_REPLACE_FUNCS so it will end up
	in libcompat.

2006-08-01  Werner Koch  <wk@g10code.com>

	Released 1.4.5.

2006-07-31  Werner Koch  <wk@g10code.com>

	* README: Updated info on the key used to sign the tarball.

2006-07-28  Werner Koch  <wk@g10code.com>

	Released 1.4.5rc1.

2006-07-08  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Fix resolver autoconf code so it works (fails)
	properly with uClibc.

2006-06-25  Werner Koch  <wk@g10code.com>

	Released 1.4.4.

2006-05-23  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add --disable-optimization.  This is handy for
	debugging so the compiler doesn't rearrange things and eliminate
	variables.

2006-05-22  Marcus Brinkmann  <marcus@g10code.de>

	* configure.ac: Remove check for noexecstack and invoke
	CL_AS_NOEXECSTACK instead.

2006-05-16  Werner Koch  <wk@g10code.com>

	* README: Removed note for OSF5 as this is the default now.
	Reported by Joerg Honegger.

	* configure.ac [osf5]: Fixed warning name to ptrmismatch1.

2006-04-27  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note SHA-224 and DSA2.

	* configure.ac: Remove --enable-old-keyserver-helpers.  Comment
	out --enable-m-guard for now.

2006-04-12  Werner Koch  <wk@g10code.com>

	* configure.ac: Print version at end of run.
	(svn_revision): Posix adjustment.

2006-04-07  Werner Koch  <wk@g10code.com>

	* configure.ac: Use new method to include the SVN revison.  Now it
	is the actual global revision number.

2006-04-04  Werner Koch  <wk@g10code.com>

	* NEWS: Fixed old news entry to point to rfc4398 which has been
	published just before 1.4.3.

2006-04-03  Werner Koch  <wk@g10code.com>

	Released 1.4.3.

2006-03-30  David Shaw  <dshaw@jabberwocky.com>

	* README: Some more notes about building fat binaries.

2006-03-24  David Shaw  <dshaw@jabberwocky.com>

	* README: Missing some instructions on building a fat binary.

2006-03-20  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Improved --disable-endian-check that doesn't
	involve changing #ifdefs in the rest of the code.

2006-03-19  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add --disable-endian-check for building fat
	binaries on OSX.

	* README: Add note on how to build a fat binary on OSX.

2006-03-17  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Allow the DNS stuff to work on OSX by trying the
	Apple-specific BIND_8_COMPAT.

2006-03-09  Werner Koch  <wk@g10code.com>

	Released 1.4.3rc2.

2006-03-07  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note CERT retrieval.  Tweak PKA and backsig language to
	match current code.

	* NEWS: Note --auto-key-locate and that keyservers can handle
	binary data now.

2006-03-01  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Fix accidental enabling of SHA-384/512.  Noted by
	Nelson H. F. Beebe.

2006-02-18  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Try linking the UINT64_C test program (rather than
	just compiling it) as UINT64_C looks like a (missing) function,
	causing a false positive.  Noted by Claus Assmann.

2006-02-14  Werner Koch  <wk@gnupg.org>

	Released 1.4.3rc1.

2006-02-09  Werner Koch  <wk@g10code.com>

	* configure.ac: Check for fcntl and ftruncate.

2006-01-22  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add define for EXEEXT so we can find keyserver
	helpers on systems that use extensions.

2005-12-23  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add switch for DNS CERT.

2005-12-22  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Split PKA checking off from DNS SRV checking.
	Currently PKA is only enabled if HTTP or HKP is enabled which is
	not necessary.

2005-12-08  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note --fetch-keys.

2005-12-06  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: UINT64_C test needs #include <inttypes.h>.

	* configure.ac: Some cleanup so we don't build files that are
	completely ifdeffed out.  This causes a warning on Sun's cc.  Do
	sha512.c and the internal regex code as well for consistency.

2005-11-17  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note backsigs, the xxxxx-clean options, and the
	xxxxx-minimal options.

2005-11-02  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Check for a getpagesize() declaration.

2005-10-14  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Clarify the cURL keyserver changes, and add a note about
	gpg-zip.

	* configure.ac: Remove the backsig configure options since this is
	all done at runtime now.

2005-10-11  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Did some backsig testing with the PGP folks.  All
	is well, so I'm turning generation of backsigs on for new keys.
	Checking for backsigs on verification is still off.

2005-10-05  Werner Koch  <wk@g10code.com>

	* configure.ac: Changed identification file name to g10/gpg.c

2005-10-02  Marcus Brinkmann  <marcus@g10code.de>

	* configure.ac [!$try_gettext]: Invoke AM_PO_SUBDIRS.

2005-08-31  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Check for getpwnam, getpwuid, and pwd.h.

2005-08-09  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Remove hardcoded -I and -L for /usr/local on
	FreeBSD.

2005-08-04  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Call GNUPG_CHECK_USTAR and generate tools/gpg-zip.

2005-07-28  Werner Koch  <wk@g10code.com>

	* configure.ac (USE_DNS_PKA): Define in addition to USE_DNS_SRV.

2005-07-27  Werner Koch  <wk@g10code.com>

	Replaced in all directories all calls to m_free, m_alloc,
	m_realloc, m_strdup by calls to xfoo functions.  This is to ease
	porting to gnupg 1.9.

	* README.CVS: Renamed to README.SVN.

2005-07-26  David Shaw  <dshaw@jabberwocky.com>

	* NEWS, configure.ac: Switch over to using curl or fake-curl by
	default.  Add --enable-old-keyserver-helpers to not use curl.

2005-07-26  Werner Koch  <wk@g10code.com>

	Released 1.4.2.

2005-07-20  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add a define for FAKE_CURL.

2005-07-19  Werner Koch  <wk@g10code.com>

	* configure.ac [W32]: Always set DISABLE_KEYSERVER_PATH.

2005-06-21  Werner Koch  <wk@g10code.com>

	Released 1.4.2rc2.

2005-06-20  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note key cleaning commands.

2005-06-13  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add check for no-pointer-sign warning keyword, and
	disable.  This is gcc4 specific.

2005-05-31  Werner Koch  <wk@g10code.com>

	Released 1.4.2rc1.

	* README: Add a note on GnuPG 1.9.

	Updated FSF address in all files.

2005-05-26  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note command completion and the new curl-based HKP helper.

2005-04-16  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Remove --disable-old-hkp - use new HKP handler for
	--with-libcurl or --enable-fake-curl.

	* configure.ac: Add --disable-old-hkp option that can be used
	along with --with-libcurl to build the curl version of HKP.

2005-04-12  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Check for memrchr()

2005-03-31  Werner Koch  <wk@g10code.com>

	* configure.ac: New option --disable-agent-support. Define
	ENABLE_AGENT_SUPPORT as AC_DEFINE and AM_CONDITIONAL.
	Disable support for card and agent with --enable-minimal.
	(AC_REPLACE_FUNCS): Add isascii.
	(g10defs.h): Define PATHSEP_C and PATHSEP_S.

	* README: Changed the instruction on how to verify a signature to
	show a .sig extension and not the .asc we used to use ages ago.

2005-03-16  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Move the LDAP detecting code to m4/ldap.m4.

2005-03-15  Werner Koch  <wk@g10code.com>

	Released 1.4.1.

2005-03-11  Werner Koch  <wk@g10code.com>

	* configure.ac: New option --enable-noexecstack. 

2005-02-16  Werner Koch  <wk@g10code.com>

	Released 1.4.1rc2.

2005-02-11  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add --enable-fake-curl option to help test no-curl
	HTTP.

	* NEWS: Note Mister/Zuccherato CFB countermeasures.

2005-02-04  Werner Koch  <wk@g10code.com>

	* configure.ac (GNUPG_CHECK_GNUMAKE):  Removed. Not needed for
	decent automakes.

2005-02-03  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Fix typo.

2005-02-03  Werner Koch  <wk@g10code.com>

	Released 1.4.1rc1.

2005-01-22  David Shaw  <dshaw@grover.jabberwocky.com>

	* configure.ac: Define FTPS flag if we're using curl, and FTPS is
	available.

	* README: Fix some typos (noted by Norihiko Murase), update to
	1.4.1, and tweak some descriptions.

	* NEWS: Note FTPS.

2005-01-18  Werner Koch  <wk@g10code.com>

	* configure.ac (HAVE_W32_SYSTEM): Define it.

2005-01-18  David Shaw  <dshaw@grover.jabberwocky.com>

	* NEWS: Note --rfc2440-text import/export-unusable-sigs and
	gpgkeys_curl.

	* configure.ac: gpgkeys_mailto is disabled by default.  Define
	HTTPS flag if we're using curl, and HTTPS is available.

2005-01-17  Werner Koch  <wk@g10code.com>

	* README: Updated for SHA1 checksums.

	* configure.ac: Make --without-included-zlib work as
	expected. Reported by Norihiko Murase.  Same for
	--without-included-regex.

2005-01-03  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Use new GNUPG_CHECK_LIBUSB macro.

2004-12-28  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Better implementation for the SRV check.  We don't
	need to actually check all the header files individually since the
	SRV test compile uses them together.

2004-12-24  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Use new LIBCURL_CHECK_CONFIG macro for
	all libcurl stuff.  This simplifies, and we don't need the
	automake conditional stuff any longer.

2004-12-22  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: --enable-ftp is on by default, --with-libcurl is
	off by default.  If we have neither of --enable-ftp or
	--enable-http, don't even check for curl.

2004-12-21  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add check for --enable-ftp.  It is disabled by
	default for now.

2004-12-18  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Call the new GNUPG_CHECK_READLINE macro for
	readline stuff.

2004-12-17  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add a --with-ldap=DIR so people can add to the
	search path.

2004-12-16  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Check for arpa/nameser.h.

2004-12-16  Werner Koch  <wk@g10code.com>

	* THANKS: Added John Clizbe for help testing the 1.4.0a W32
	binary.

2004-12-16  Werner Koch  <wk@g10code.com>

	Released 1.4.0.

2004-12-14  Werner Koch  <wk@g10code.com>

	Released 1.3.93.
	
	* Makefile.am (AUTOMAKE_OPTIONS): Add filename-length-max=99.

2004-11-06  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Autodetect wldap32 on Windoze.

2004-11-04  David Shaw  <dshaw@jabberwocky.com>

	* README, configure.ac: Add --enable-backsigs to enable the
	experimental backsigs code.

2004-11-04  Werner Koch  <wk@g10code.com>

	* AUTHORS: Use Maxim Britov.  I am not that accustomed to the
	Russian way of writing names.

2004-10-28  Werner Koch  <wk@g10code.com>

	Released 1.3.92.

2004-10-26  Werner Koch  <wk@g10code.com>

	* configure.ac: New option --disable-gnupg-iconv, define
	USE_GNUPG_ICONV.
	(AC_CANONICAL_TARGET): Replaced by AC_CANONICAL_HOST. Changed all
	reference to TARGET to HOST.  Made sure that i586-mingw32msvc gets
	detected as mingw32.
	(UNIT64_C): Don't include inttype.h uncoditional but use a test to
	ensure that it gets into conftest.h.
	(AH_TOP): New. Prevent double inclusion of config.h.

2004-10-21  David Shaw  <dshaw@jabberwocky.com>

	* acinclude.m4: aclocal 1.9 wants quoting on AC_DEFUN arguments.

2004-10-21  Werner Koch  <wk@g10code.com>

	* configure.ac: Remove the check for asprintf

2004-10-15  Werner Koch  <wk@g10code.com>

	Released 1.3.91.

	* README: Mentioned --enable-selinux-support.

2004-10-15  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note gpgkeys_finger, keyserver timeouts, and the direct
	trust model.

2004-10-15  Werner Koch  <wk@g10code.com>

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): New.
	(AUTOMAKE_OPTIONS): New.

	* configure.ac: Check whether vasprintf needs a replacement.

2004-10-13  Werner Koch  <wk@g10code.com>

	* configure.ac: Actually name the option --disable-finger and not
	http.  Add option --enable-selinux-support.

2004-10-11  Werner Koch  <wk@g10code.com>

	* configure.ac: New option --disable-finger.

2004-09-17  Werner Koch  <wk@g10code.com>

	* configure.ac: Don't check for usb_create_match or
	use_get_string_simple anymore.

2004-09-15  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Give warning when using capabilities.  Check for
	usb_get_string_simple for old libusb reasons.

2004-09-10  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note HTTP basic auth.

	* configure.ac: Check for usb_get_busses since very old stable
	libusb doesn't have it.

2004-09-09  Werner Koch  <wk@g10code.com>

	* README: Doc --disable-card-support and --without-readline.

	* configure.ac: Check for readline.  Make enable-card-support the
	default.  New option --without-readline.  Allow the use of either
	the development or the stable libusb.

2004-07-27  Werner Koch  <wk@g10code.de>

	* configure.ac (AM_GNU_GETTEXT_VERSION): New.
	(min_automake_version): New.

2004-05-24  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Try for wldap32 on Win32 platforms.

2004-05-22  Werner Koch  <wk@gnupg.org>

	Releases 1.3.6.

2004-05-21  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note --sig-keyserver-url and the ability to use a
	preferred keyserver in a regular data sig to fetch the signing
	key.

	* configure.ac: Replacement function for timegm().  No need to
	check for setenv() any longer.

2004-05-20  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note HTTP key fetching.

	* README: Update version and note that HKP is no longer build in.

	* configure.ac: Handle --disable-http and other code to properly
	build gpgkeys_http.

2004-05-19  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note the addition of preferred keyserver support,
	--ask-cert-level, --keyid-format, and the removal of
	show-long-keyids, the quasi-1991 partial length encoding,
	--export-all, and include-non-rfc.

	* acinclude.m4 (GNUPG_SYS_NM_PARSE): Remove a leftover slash in a
	sed expression.

2004-05-01  Werner Koch  <wk@gnupg.org>

	* acinclude.m4 (ac_pipe_works): Fixed BRE syntax \? -> \{0,1\}.
	Reported by Todd Vierling.

2004-02-26  Werner Koch  <wk@gnupg.org>

	Released 1.3.5.

2004-02-25  David Shaw  <dshaw@jabberwocky.com>

	* README: Update copyright.

	* NEWS: Note --max-output, --list-config, --min-cert-level, AIX
	fix, new http-proxy keyserver-option, new LDAP server code, TLS,
	LDAPS, and --show-session-key with --symmetric.

2004-02-20  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Check for timegm().  Replacement functions for
	setenv() and unsetenv().

2004-02-19  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Check for ln -s and add GPGKEYS_LDAP conditional,
	both for making gpgkeys_ldaps symlink to gpgkeys_ldap.

	* configure.ac: Simplify the LDAP checking code since OpenLDAP is
	far more mature these days and dependencies are cleaner.  Add
	checks for ldap_set_option and ldap_start_tls_s.

2004-01-27  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note --enable-key-cache, the OpenBSD/i386 and HPPA fixes,
	and Elgamal removal.

	* README, configure.ac: Add --enable-key-cache=SIZE configure
	option.  This sets the key/uid cache size.  Default is 4096.

2004-01-11  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Include stdio.h when checking for bzlib.h. Solaris
	9 has a very old bzip2 library and we can at least guarantee that
	it won't fail because of the lack of stdio.h.

	* THANKS: Added Phong Nguyen, who found the Elgamal signing key
	problem.

2003-12-23  Werner Koch  <wk@gnupg.org>

	* configure.ac: Use -Wformat-nonliteral in maintainer-mode.

2003-11-30  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note --disable-rsa.

	* configure.ac: Add --disable-rsa.

	* README: Add --with-zlib, --with-bzip2, --without-bzip2,
	--disable-rsa, and --enable-minimal.  Update gettext version.

	* README: Update version number.  Add BZIP2.  Remove Elgamal
	sign+encrypt.

2003-11-27  Werner Koch  <wk@gnupg.org>

	Released 1.3.4.

2003-11-27  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note that we won't encrypt to an Elgamal sign+encrypt key
	any longer.

	* configure.ac: Use MSG_NOTICE instead of MSG_WARN for less
	serious notifications.

	* NEWS: I meant "less" not "more".

2003-11-12  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note BZIP2.

	* configure.ac: Make sure that the resolver API actually compiles,
	and not just that the right functions exist.

2003-10-30  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Locate libbz2 for bzip2 compression support.

2003-10-26  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note --symmetric --encrypt and the improved config file
	search.

	* configure.ac: Add SAFE_VERSION_DOT and SAFE_VERSION_DASH.

2003-10-25  Werner Koch  <wk@gnupg.org>

	* Makefile.am (SUBDIRS): Add intl.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add scripts/config.rpath.
	* configure.ac (AC_CONFIG_FILES): Add po/Makefile.in,
	(AL_LINGUAS): Removed.
	
2003-10-24  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac (DLLIBS): Work properly on platforms where dlopen
	and friends are in libc instead of libdl.

2003-10-24  Werner Koch  <wk@gnupg.org>

	* configure.ac (DLLIBS): Fixed last change. 

2003-10-23  Werner Koch  <wk@gnupg.org>

	* configure.ac (DLLIBS): Do not include -ldl in the mingw32 case.

2003-10-21  Werner Koch  <wk@gnupg.org>

	* configure.ac (PRINTABLE_OS_NAME): Remove special case for The
	Hurd; Robert Millan reported that the uname test is now
	sufficient.

2003-10-16  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Include -ldl when card support is used.

2003-10-10  Werner Koch  <wk@gnupg.org>

	Release 1.3.3.

2003-10-09  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note multiple Comment: support and --sig-keyserver-url.

2003-10-01  Werner Koch  <wk@gnupg.org>

	* configure.ac (AH_BOTTOM): Define GNUPG_MAJOR_VERSION. 
	(ENABLE_CARD_SUPPORT): Define as automake conditional.

2003-09-30  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note that SHA-256 is read-write now, that TIGER/192 is no
	more, that revoked and expired uids are skipped in -r, and that
	--no-mangle-dos-filenames is now the default.

2003-09-27  Werner Koch  <wk@gnupg.org>

	* configure.ac (LIBUSB_LIBS,HAVE_LIBUSB): Check for Libusb.
	(--enable-card-support): New.

2003-09-04  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Drop TIGER/192 support.  Check for UINT64_C to go
	along with uint64_t.

2003-09-01  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note --list-options, --verify-options, the deprecation of
	--show-photos, --show-policy-url, --show-notation, and
	--show-keyring, and getting the signer's fingerprint in sig
	records.

2003-08-28  David Shaw  <dshaw@jabberwocky.com>

	* AUTHORS, THANKS: Updates from stable.

2003-08-25  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note %g and %p, the "tru" --with-colons record, and the
	REVKEYSIG --status-fd tag.

	* README: Add a note about the SunOS symbol underscore problem and
	how to fix it.  Note problem with gcc < 2.96 and non-gnu as.

2003-08-24  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Check for getaddrinfo.  Don't bother to check for
	EGD libs since we need to have the netlibs regardless because of
	the agent socket.

2003-07-10  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: configure.ac: Check for sigset_t and struct
	sigaction.  This is for Forte c89 on Solaris which seems to define
	only the function call half of the two pairs by default.

	* THANKS: Updates from stable.

	* configure.ac: Include wsock32 in W32LIBS.  This is different
	from NETLIBS so we don't need to force other platforms to pull in
	the netlibs when they aren't actually needed.

	* NEWS: Note portability changes.

2003-06-03  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Define SAFE_VERSION so that RISCOS can override it
	and remove invalid chars.

2003-05-30  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Put wsock32 in NETLIBS.  Put zlib in ZLIBS.  Put
	dl in DLLIBS.  Check for getopt.h if available.  Look for getopt()
	in libiberty if libc doesn't have it.  Enable GPGKEYS_HKP after
	AC_PROG_CC so that any needed extension (i.e. ".exe") is defined.

2003-05-27  Werner Koch  <wk@gnupg.org>

	Released 1.3.2.

2003-05-26  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Document --gnupg and the deprecation of --no-openpgp and
	--no-pgpX.

2003-05-24  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Edit preprocessor instructions in g10defs.h to
	remove whitespace before the '#'.  This is not required by C89,
	but there are some compilers out there that don't like it.

2003-05-11  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Remove some stuff no longer needed with newer
	autoconf. Use AC_GNU_SOURCE instead of defining _GNU_SOURCE
	manually.  Add check for strchr() for gettext.  Add "ngettext"
	check for gettext, since that check supposedly implies a check for
	bind_textdomain_codeset.  Add check for times() for random.c.  Fix
	URL for EGD.  Make --enable-old-tiger match the stable branch as a
	separate item.

	* NEWS: "OpenPGP" trust model is now "PGP".  Add note about TIGER
	being dropped from OpenPGP.  Note trust bug fix.

	* README: Fix all URLs to point to the right place in the
	reorganized gnupg.org web pages.  Some minor language fixes.

2003-04-27  David Shaw  <dshaw@jabberwocky.com>

	* BUGS: Fix bug reporting URL.

	* NEWS: Add sig version, pk algo, hash algo, and sig class to
	VALIDSIG.  Add notes about SRV, the "subkeyid!" syntax, configure
	options to disable various algorithms, and the ability to change
	the keyserver no-modify flag.

2003-04-23  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Big warning that TIGER/192 is being removed from
	the standard, and make it disabled by default.

	* README: Put back proper copyright line.  Remove mention of
	TIGER/192.

2003-04-15  Werner Koch  <wk@gnupg.org>

	* configure.ac (HAVE_DOSISH_SYSTEM): New automake conditional.

	* acinclude.m4 (GNUPG_CHECK_ENDIAN): Fixed quoting of r.e. using
	quadrigraphs.

2003-04-08  Werner Koch  <wk@gnupg.org>

	* Makefile.am (EXTRA_DIST): Add autogen.sh wrapper.

2003-04-07  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Use much more accurate method to determine whether
	DNS SRV is usable.

	* README: Document the various --disable-xxx switches, and add a
	note about existing keys that may use one of the missing ciphers
	as a preference.  Update copyright date.

	* NEWS: Add note about SHA-256/384/512.

	* acinclude.m4: Fix URL to faqprog.pl.

2003-03-24  Werner Koch  <wk@gnupg.org>

	* acinclude.m4 (GNUPG_CHECK_ENDIAN): When crosscompiling assume
	little only for Intel CPUs.

	* configure.ac: Check for ranlib and ar.  This is required for
	cross compiling.

2003-03-11  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Look for res_query so we can use DNS SRV, and add
	--disable-dns-srv to disable it.

2003-03-04  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Define @CAPLIBS@ to link in -lcap if we are using
	capabilities.

2003-02-22  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add --disable-idea for IDEA.  Note that disabling
	IDEA disables both the real IDEA and the possibility of using the
	IDEA loadable module.  Remove the --disable-dynload option since
	it is no longer meaningful (it is only used if idea-stub is used).

2003-02-21  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add --disable-xxx options for CAST5, BLOWFISH, AES
	(all), TWOFISH, TIGER192, SHA256, and SHA384/512.  Add a
	--enable-minimal that disables all of them as well as
	--disable-exec.

2003-02-11  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Do not set GNUPG_LIBEXECDIR in ./configure, so
	that makefiles can override it.  Verify that we have a 64-bit type
	before building tiger.c or sha512.c.  Add uint64_t as a possible
	64-bit type.

2003-02-02  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Add notes about disabled keys, trustdb tweaks, and
	"revuid".

2002-12-27  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Add note about convert-from-106 script.

2002-11-25  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Add notes about notation names and '@', the --trust-model
	option, default algorithms from --personal-xxxx,
	--primary-keyring, changes with --s2k-digest-algo, the new
	anonymous recipient improvements, and non-optimized memory wiping.

2002-11-13  David Shaw  <dshaw@jabberwocky.com>

	* THANKS: Changes from stable branch.

	* configure.ac: Check for ctermid().  From Werner on stable
	branch.

	* configure.ac (GPGKEYS_LDAP,GPGKEYS_HKP): Add $EXEEXT.  From
	Werner on stable branch.

	* configure.ac (try_gettext): Remove special case for cygwin.
	This removes all the DOS specific macros and let Cygwin work like
	a real OS.  Needs a couple of changes elsewhere but after all,
	GnuPG presents itself much more like a Posix program and can be
	used in a full Cygwin environment; e.g. used along with mutt.
	Changes suggested by Volker Quetschke.  From Werner on stable
	branch.

	* acinclude.m4 (GNUPG_SYS_NM_PARSE): Allow for underscore in test
	symbols.  Useful for Cygwin builds.
	(GNUPG_SYS_SYMBOL_UNDERSCORE): Don't hardwire to yes for Cygwin.
	From Werner on stable branch.

	* README: Add an installation note for Darwin 6.1.  From Werner on
	stable branch.

2002-11-12  Werner Koch  <wk@gnupg.org>

	Released 1.3.1

2002-11-03  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note trust signature support,
	--hidden-encrypt-to/--hidden-recipient, and long algorithm name
	support everywhere.

2002-10-31  David Shaw  <dshaw@jabberwocky.com>

	* Makefile.am: Put gnupg.spec in the root directory so rpm -ta
	works.

	* configure.ac: Add a check for volatile.

2002-10-29  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add --disable-regex in case some platform just
	can't handle the regex stuff.  This means they can't fully handle
	trust sigs with an attached regex either.

2002-10-19  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Regex tests adapted from mutt to decide whether to
	use the internal regex code or not.

2002-10-18  Werner Koch  <wk@gnupg.org>

	Released 1.3.0.
	
	* configure.ac: Changed version number comments.
	(ALL_LINGUAS): Removed all except for de.  During development it
	might not be a good idea to keep all of them - they get outdated
	too soon and diff files will be far too large.

2002-10-17  David Shaw  <dshaw@jabberwocky.com>

	* README: Multiple A record rotation works with MINGW32 now, and
	clarify how it works with LDAP.

2002-10-16  David Shaw  <dshaw@jabberwocky.com>

	* README: Some typo fixes from Florian Weimer, and bump version
	number.

2002-10-15  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Some 1.3 notes.

2002-10-12  Werner Koch  <wk@gnupg.org>

	* configure.ac (NAME_OF_DEV_URANDOM): Use /dev/urandom for
	NetBSD.  Reported by Christian Biere.

2002-10-07  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: OpenLDAP 2.0.27 changed the dependencies again.
	Add a "LDAPLIBS" variable so users can try and suggest the right
	dependencies for their platform.

2002-10-02  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add an --enable-old-tiger, to revert back to the
	old OID.

2002-09-27  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Remove --enable-tiger, as TIGER is now always
	enabled.

2002-09-25  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add NETLIBS to EGDLIBS when using EGD as EGD uses
	sockets.

2002-09-24  David Shaw  <dshaw@jabberwocky.com>

	* THANKS: Remove duplicate.

	* NEWS: Bring in cosmetic changes from stable branch.

	* configure.ac: Figure out whether the LDAP library supports
	ldap_get_option, ld_errno, or neither.

2002-09-19  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Try linking LDAP as just -lldap as it seems very
	recent OpenLDAPs (>=2.0.23) support that.

2002-09-14  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Try linking LDAP without -lresolv first, just in
	case the platform has libresolv, but doesn't actually need it to
	use LDAP.

2002-09-12  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Note that the old IDEA plugin won't work with post-1.1.90
	gpg.

2002-09-12  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Remove --enable-external-hkp as this is always on
	now.  Add --disable-hkp to match the other
	--disable-{keyservertype} options.

	* NEWS, configure.ac: Move to devel version 1.3.

2002-09-11  Werner Koch  <wk@gnupg.org>

	Released 1.1.92.

	* configure.ac (random_modules): The default random module for
	system lacking a /dev/random is now auto selected at runtime.

2002-09-09  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: typo.

	* configure.ac: Add a link test for LDAP without -lresolv for
	HPUX.  Remove "hstrerror" test as it is no longer needed.

2002-09-02  Werner Koch  <wk@gnupg.org>

	* README: Removed the note about a development version so that we
	later don't forget this.  Minor other changes.

2002-08-29  Werner Koch  <wk@gnupg.org>

	* configure.ac (random_modules): Reworked the code to select the
	random module.  Define USE_ALL_RANDOM_MODULES for value all.

2002-08-27  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Check type of mode_t.

	* NEWS: Clarify that --libexecdir is a configure option.

	* configure.ac: Check for hstrerror.

2002-08-19  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: Document new ways to enable MDC, and change in automatic
	compression disabling.

	* configure.ac: No such thing as the "none" random gather any
	longer.

2002-08-08  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add an --enable-tiger.

	* NEWS: Clarify new permission checks.

2002-08-07  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: If the static IDEA cipher is present, disable
	dynamic loading.  Also fix backwards grammar of keyserver
	exec-path CHECKING message.

2002-08-05  Werner Koch  <wk@gnupg.org>

	* configure.ac: Bumbed version number.

2002-08-04  Werner Koch  <wk@gnupg.org>

	Released 1.1.91.

	* configure.ac (ALL_LINGUAS): Added Catalan.

2002-08-02  Werner Koch  <wk@gnupg.org>

	* configure.ac: Removed all extension stuff but keep the tests for
	dlopen.  We don't need to figure out the flags required.  All
	stuff is now statically loaded.

2002-07-30  David Shaw  <dshaw@jabberwocky.com>

	* README, configure.ac: --with-exec-path is now clarified into
	--disable-keyserver-path

	* NEWS: changes since 1.1.90.

2002-07-24  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Include a GNUPG_LIBEXECDIR in g10defs.h, as well
	as a SUBST for Makefiles.

2002-07-22  Timo Schulz  <ts@winpt.org>

	* configure.ac: Replace the 'c:/' variables with 'c:\' due
	to the fact we already use '\' in the remaining code.
	
2002-07-08  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add --with-mailprog to override the use of
	sendmail with another MTA.  We can use anything that follows the
	"$MAILPROG -t" convention.

2002-07-04  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: --enable-exec-path should be a 'with'.  Fix 'no'
	cases of --with-exec-path and --with-photo-viewer.

	* README: Document --disable-exec, --disable-photo-viewers,
	--disable-keyserver-helpers, --enable-exec-path, and
	--with-photo-viewer.

	* configure.ac: Add --with-photo-viewer to lock the viewer at
	compile time and --disable-keyserver-helpers and
	--disable-photo-viewers to allow disabling one without disabling
	the other.

2002-07-03  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Allow setting USE_EXEC_PATH to lock the exec-path
	to a fixed value.

2002-07-01  Werner Koch  <wk@gnupg.org>

	* configure.ac: Set version number to 1.1.91.

        Released 1.1.90.
	
	* INSTALL: Replaced by generic install file.
	* README: Marked as development version and moved most stuff of
	the old INSTALL file to here.

2002-06-30  Werner Koch  <wk@gnupg.org>

	* configure.ac: Link W32 version against libwsock32.

2002-06-29  Werner Koch  <wk@gnupg.org>

	* configure.ac (development_version): New.
	(HAVE_DEV_RANDOM_IOCTL): Removed test for it; it was never used.

	* BUGS, AUTHORS: Add a note on how to send security related bug
	reports.

2002-06-20  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: changes since 1.0.7.

	* configure.ac: Set new version number (1.1.90), and fix Solaris
	compiler flags for shared objects.

2002-06-11  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Move -lsocket and -lnsl checks before LDAP link
	tests so they work properly on Solaris.  Noted by David Champion.
	Also, check for the Mozilla LDAP library if the OpenLDAP library
	check fails.  Put -lsocket and -lnsl in NETLIBS rather than LIBS
	so not all programs are forced to link to them.
	
2002-06-05  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Add a switch for the experimental external HKP
	keyserver interface.

2002-05-22  Werner Koch  <wk@gnupg.org>

	* configure.ac: Check for strcasecmp and strncasecmp.  Removed
	stricmp and memicmp checks.

2002-05-08  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: If LDAP comes up unusable, try #including <lber.h>
	before giving up.  Old versions of OpenLDAP require that.

2002-05-03  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: In g10defs.h, use \ for the directory separator
	when HAVE_DOSISH_SYSTEM is on.

	* configure.ac: Add --disable-exec flag to disable all remote
	program execution.  --disable-exec implies --disable-ldap and
	--disable-mailto.  Also look in /usr/lib for sendmail.  If
	sendmail is not found, do not default - just fail.

2002-04-30  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Try and link to a sample LDAP program to check if
	the LDAP we're about to use is really sane.  The most common
	problem (using a very old OpenLDAP), could be fixed with an extra
	#include, but this would not be very portable to other LDAP
	libraries.

2002-04-29  Werner Koch  <wk@gnupg.org>

	Released 1.0.7.

	* README: Fixed some minor things.

2002-04-25  Werner Koch  <wk@gnupg.org>

	* configure.ac: Check for locale.h and setlocale

2002-04-24  David Shaw  <dshaw@jabberwocky.com>

	* Update NEWS with recent changes.

2002-04-19  Werner Koch  <wk@gnupg.org>

	Released 1.0.6e snapshot.

2002-04-12  Werner Koch  <wk@gnupg.org>

	* configure.ac: Add a warning note to the definition of the
	EXTSEP macros.

2002-04-09  Werner Koch  <wk@gnupg.org>

	* configure.ac (ALL_LINGUAS): Added Czech, Galician and Greek
	translations.  s/es_ES/es/.

2002-03-06  Werner Koch  <wk@gnupg.org>

	* configure.ac (ALL_LINGUAS): s/pt_PT/pt/

2002-03-04  David Shaw  <dshaw@jabberwocky.com>

	* Add a AC_DEFINE(_GNU_SOURCE).  Since this is always defined in
	config.h, the various autoconf tests should be tested with it
	enabled.  This also works around a compiler warning caused by a
	minor header bug in glibc 2.1 that causes fseeko to be defined
	when building gpg, but not when tested for in configure.

2002-03-03  Werner Koch  <wk@gnupg.org>

	Release 1.0.6d snapshot.

2002-01-04  David Shaw  <dshaw@jabberwocky.com>

	* NEWS: about symmetric messages and fixed file sizes.

2001-12-22  Werner Koch  <wk@gnupg.org>

        Released 1.0.6c snapshot.
	
	* configure.ac (AH_BOTTOM): Moved EXEC_TEMPFILE_ONLY to here.

	* acconfig.h:  Removed, it should no longer be used.

2001-12-21  David Shaw  <dshaw@jabberwocky.com>

	* Add an acconfig.h to define EXEC_TEMPFILE_ONLY on platforms that
	can't do fork/exec.

2001-12-21  Werner Koch  <wk@gnupg.org>

	* Makefile.am (dist-hook): We should also look in include for
	distfiles.
	(EXTRA_DIST): Remove VERSION because it is generated by dist-hook.

2001-12-20  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: replacement function for mkdtemp()

2001-12-19  David Shaw  <dshaw@jabberwocky.com>

	* configure.ac: Check for stat()

2001-12-19  Werner Koch  <wk@gnupg.org>

	* acinclude.m4 (GNUPG_SYS_SYMBOL_UNDERSCORE): Support Cygwin target
	* configure.ac [CYGWIN32]: Don't build tiger.  By Disastry.

2001-12-18  Werner Koch  <wk@gnupg.org>

	* Makefile.am (SUBDIRS): Add keyserver.
	(dist-hook): Only look in mpi and scripts for distfiles; this way
	we don't include those of a stale "make dist" directory.

2001-10-23  Werner Koch  <wk@gnupg.org>

	Released 1.0.6b snapshot.

2001-10-22  Werner Koch  <wk@gnupg.org>

	* configure.ac: Fixed for automake 1.5 

2001-10-17  Werner Koch  <wk@gnupg.org>

	* README: Removed note on local_ID.

2001-09-28  Werner Koch  <wk@gnupg.org>

	* configure.ac: From now on add a string "-cvs" to the version to
	indicate that this is a pre-release of the given version number.

2001-09-26  Werner Koch  <wk@gnupg.org>

	* configure.ac [MINGW32]: Switched from wsock.dll to ws2_32.dll.

2001-09-09  Werner Koch  <wk@gnupg.org>

	* configure.ac: autoconf changed the name of the maintainer mode
	flag, so that not all warnings where enabled. Fixed that.
	Reported by Dirk Meyer.

2001-09-07  Werner Koch  <wk@gnupg.org>

	* configure.ac: Test for strsep().

2001-09-03  Werner Koch  <wk@gnupg.org>

	* configure.ac: Removed GDBM tests.

2001-08-23  Werner Koch  <wk@gnupg.org>

	* configure.in (AC_FUNC_FSEEKO): Add.
	(AC_CHECK_FUNCS): Remove fseeko. By Paul Eggert <eggert@twinsun.com>.

2001-08-22  Werner Koch  <wk@gnupg.org>

	* configure.ac (gethrtime): Enhanced the test by running a test
	program. 
	* INSTALL: Removed the note about Solaris problems because the
	above test should catch this.

2001-08-20  Werner Koch  <wk@gnupg.org>

	* acinclude.m4: Add check for plock if mlock is broken.
	* configure.ac: Use regular tests for -lsocket and -lnsl,
	more thorough test for gethrtime, allow specifying the path to
	the zlib library if it is not in the default compiler/linker
	search path, use ${datadir}.  All these test enhancements are by
	Albert Chin.

	* configure.ac: Set some compiler flags for dec-osf and hpux. By
	Tim Mooney.

	* configure.ac: Create g10defs.h with EXTSEP_S et al. 

2001-08-03  Werner Koch  <wk@gnupg.org>

	* configure.ac (VERSION,PACKAGE): Fixed quoting. 

2001-07-26  Werner Koch  <wk@gnupg.org>

	* configure.ac: Finally got it running with the new autoconf. Had
	to define PACKAGE and VERSION and to add -I.. to each Makefile.am.

2001-07-09  Werner Koch  <wk@gnupg.org>

        Migrated to autoconf 2.50.
	* acinclude.m4: Removed the temporary LFS macros and GNUPG_LINK_FILES.
	* acconfig.h: Removed
	* configure.in: Replaced by...
	* configure.ac: and modified for use with autoconf 2.50, use a
	literal string for the version number.  Replaced GNUPG_LINK_FILES
        with AC_CONFIG_LINKS and moved some informational messages to the end.
	* VERSION: Removed.
	* Makefile.am (DISTCLEANFILES): gettext is better now; no more
	need to remove the libintl.h symlink.
        (dist-hook): Create VERSION file.
	
2001-06-08  Werner Koch  <wk@gnupg.org>

	* configure.in (DYNLINK_MOD_CFLAGS): Use -shared with dec-osf.
	Reported by Chris Adams.  Merged some cases.

2001-05-29  Werner Koch  <wk@gnupg.org>

	Released version 1.0.6.

2001-05-28  Werner Koch  <wk@gnupg.org>

	* configure.in (BUILD_INCLUDED_LIBINTL): Set to no for W32.

2001-04-29  Werner Koch  <wk@gnupg.org>

	Released version 1.0.5.

2001-04-28  Werner Koch  <wk@gnupg.org>

	Updated all copyright notices.

2001-04-27  Werner Koch  <wk@gnupg.org>

	* README: Removed a few outdated paragraphs.

2001-04-17  Werner Koch  <wk@gnupg.org>

	* acinclude.m4 (GNUPG_CHECK_DOCBOOK_TO_TEXI): New.
	(GNUPG_CHECK_TYPEDEF): Define _GNU_SOURCE because we will use it
	anyway.

	* configure.in: Use it here.
	
	* configure.in (ALL_LINGUAS): Add Estonian translation by Toomas Soome.
	(use_m_debug): Removed --enable-m-debug because it does not work
	anymore.

2001-04-06  Werner Koch  <wk@gnupg.org>

	* configure.in (ALL_LINGUAS): Add Turkish translation.  Thanks
	to Nilgun Belma Buguner.

2001-03-18  Werner Koch  <wk@gnupg.org>

	* configure.in: Hardwire the use of -lsocket for some
	systems. Thanks to Reinhard Wobst.

2001-03-13  Werner Koch  <wk@gnupg.org>

	* configure.in: Add copyright notice and -lwsock32.

2001-03-12  Werner Koch  <wk@gnupg.org>

	* INSTALL: Add a note to VPATH builds. 

2001-03-08  Werner Koch  <wk@gnupg.org>

	* debian/: Applied update from James.

	Added copyright and license notices to some more files.

2001-01-18  Werner Koch  <wk@gnupg.org>

	* configure.in: Removed tool definitions for MingW32

2000-11-17  Werner Koch  <wk@gnupg.org>

	* acinclude.m4 (GNUPG_CHECK_FAQPROG): Do not prinnt the warning.

2000-11-11  Paul Eggert  <eggert@twinsun.com>

        Actually Paul's patches are dated 2000-20-17; I applied them today
	and merged some ChangeLog entries (wk@gnupg.org).
	
        * configure.in (AC_SYS_LARGEFILE): Add.
        (try_large_file): Remove.  All uses removed.
        (AC_CHECK_FUNCS): Remove fopen64 and fstat64.

        * acinclude.m4 (AC_SYS_LARGEFILE_TEST_INCLUDES,
        AC_SYS_LARGEFILE_MACRO_VALUE, AC_SYS_LARGEFILE): New macros,
        taken from GNU tar.

        * configure.in (AC_CHECK_FUNCS): Add fseeko.

2000-10-17  Werner Koch  <wk@gnupg.org>

	* configure.in: Disabled fopen64 checks for Solaris and HPUX.

2000-10-13  Werner Koch  <wk@gnupg.org>

	* configure.in: Append mpi/mpi-asm-defs.h to g10defs.h

2000-10-09  Werner Koch  <wk@gnupg.org>

	* acinclude.m4: Changed wording of the faqprog.pl warning.

Wed Oct  4 15:50:18 CEST 2000  Werner Koch  <wk@openit.de>

        * configure.in: Set DYNLINK_MOD_CFLAGS for Irix. It seems that Irix
        needs the -shared flag.  In 1.1 we are going to use libtool, so this
        module stuff will get redesigned anyway. Suggested by Jeff Long.

Thu Sep 14 14:20:38 CEST 2000  Werner Koch  <wk@openit.de>

        * acinclude.m4 (GNUPG_CHECK_FAQPROG): New.
        * configure.in: Test for this.

        * configure.in (DYNLINK_MOD_CFLAGS): Fix by David Champion.

Wed Sep  6 17:55:47 CEST 2000  Werner Koch  <wk@openit.de>

        * configure.in: Check for fstat64 and fopen64

Wed Sep  6 14:59:09 CEST 2000  Werner Koch  <wk@openit.de>

        * configure.in (GNUPG_HOMEDIR): New.

Fri Aug 25 16:05:38 CEST 2000  Werner Koch  <wk@openit.de>

        * configure.in:  Changes to allow for Solaris random device.
        By Nils Ellmenreich.
        (--with-egd-socket): New.

Wed Aug 23 19:52:51 CEST 2000  Werner Koch  <wk@openit.de>

        * acinclude.m4 (GNUPG_CHECK_MLOCK):  Removed that silly mkdir().

Wed Jul 19 11:26:43 CEST 2000  Werner Koch  <wk@openit.de>

  * configure.in (mingw32): Changes to allow for mingw32msvc

Fri Jul 14 10:17:30 CEST 2000  Werner Koch  <wk@openit.de>

  * acinclude.m4 (GNUPG_CHECK_MLOCK): Fixed syntax error in C code.

Wed Jul 12 13:32:06 CEST 2000  Werner Koch  <wk@openit.de>

  Version 1.0.2

Fri Jun  9 10:09:52 CEST 2000  Werner Koch  <wk@openit.de>

  * configure.in: Add check for termio.h, wait unctiosn and sigaction.

Wed Jun  7 19:19:09 CEST 2000  Werner Koch  <wk@openit.de>

  * acinclude.m4 (MKDIR_TAKES_ONE_ARG): Check some headers. By Gaël Quéri.
  * configure.in (AM_INIT_AUTOMAKE): Use this now. By Gaël.

Mon Jun  5 12:37:43 CEST 2000  Werner Koch  <wk@openit.de>

  * acnclude.m4 (GNUPG_CHECK_EXPORTDYNAMIC): Replacement for
  GNUPG_CHECK_RDYNAMIC which should handle gcc with non GNU ld nicer.
  Contributed by Dave Dykstra.
  * configure.in (GNYPG_CHECK_RDYNAMIC): Replaced by the new check.

  * configure.in (AC_CHECK_AWK): Moved before the first use of AWK. Suggested
  by Dave Dykstra.

Tue May 30 16:37:55 CEST 2000  Werner Koch  <wk@openit.de>

  Version 1.0.1-ePit-1

Sun May 28 13:55:17 CEST 2000  Werner Koch  <wk@openit.de>

	* acinclude.m4 (GNUPG_SYS_NM_PARSE): Added BSDI support.
	(GNUPG_CHECK_RDYNAMIC): Ditto.

Wed Apr 19 10:57:26 CEST 2000  Werner Koch  <wk@openit.de>

	* acconfig.h (HAVE_MLOCK): Added

Wed Mar 22 13:50:24 CET 2000  Werner Koch  <wk@openit.de>

	* acinclude.m4 (GNUPG_CHECK_MLOCK): Changed the way to test for
	librt.	Test suggested by Jeff Long.

Fri Mar 17 17:50:25 CET 2000  Werner Koch  <wk@openit.de>

	* acinclude.m4 (GNUPG_CHECK_MLOCK): Do librt check only when
	we can't link a test program.  This way GNU systems don't need
	to link against linrt.
	(GNUPG_CHECK_IPC): Fixed use of TRY_COMPILE macro.  From Tim Mooney.

2000-03-14 12:07:54  Werner Koch  (wk@habibti.openit.de)

	* acinclude.m4 (GNUPG_SYS_SYMBOL_UNDERSCORE): Add support for
	DJGPP.
	(GNUPG_CHECK_MLOCK): Check whether mlock sits in librt.
	* configure.in: Add a test for unisgned long long.

Tue Mar  7 18:45:31 CET 2000  Werner Koch  <wk@gnupg.de>

	* acinclude.m4 (GNUPG_CHECK_RDYNAMIC): Add NetBSD. By Thomas Klausner.
	* configure.in (DYNLINK_MOD_CFLAGS): Set different for NetBSD.

Thu Mar  2 15:37:46 CET 2000  Werner Koch  <wk@gnupg.de>

	* configure.in: Add check for clock_gettime

Wed Feb 23 10:07:57 CET 2000  Werner Koch  <wk@gnupg.de>

	* configure.in (ALL_LINGUAS): Add nl.

Wed Feb 16 16:25:09 CET 2000  Werner Koch  <wk@gnupg.de>

	* configure.in (ALL_LINGUAS): Add Esperanto.

Wed Feb 16 14:09:00 CET 2000  Werner Koch  <wk@gnupg.de>

	* configure.in (ALL_LINGUAS): Add sv and ja.

	* AUTHORS: Converted to a more compact format.

	* INSTALL: Wrote a note about a Solaris problem.

Thu Feb 10 17:39:44 CET 2000  Werner Koch  <wk@gnupg.de>

	* configure.in: Use /usr/local for CFLAGS and LDFLAGS when
	target is freebsd.  By Rémi.

Thu Jan 13 19:31:58 CET 2000  Werner Koch  <wk@gnupg.de>

	* configure.in: Do not set development version when the version has
	a dash in it.  Suggested by Dave Dykstra.

Thu Dec 16 10:07:58 CET 1999  Werner Koch  <wk@gnupg.de>

	* VERSION: Set to 1.0.1.

	* configure.in: Removed substitution for doc/gph/Makefile.
	Do all the gcc warning only in maintainer mode.

Thu Dec  9 10:31:05 CET 1999  Werner Koch  <wk@gnupg.de>

	* INSTALL: Add a hint for AIX. By Jos Backus.

Sat Dec  4 12:30:28 CET 1999  Werner Koch  <wk@gnupg.de>

	* configure.in (dlopen): Use CHECK_FUNC for a test of dlopen in libc.
	Suggested by Alexandre Oliva.
	(-Wall): Moved the settting of gcc warning options near to the end
	so that tests don't get confused.  Suggested by Paul D. Smith.

Mon Nov 22 11:14:53 CET 1999  Werner Koch  <wk@gnupg.de>

	* BUGS: Replaced content with a link to the online list.

Fri Nov 12 20:33:19 CET 1999  Werner Koch  <wk@gnupg.de>

	* README: Fixed a type and add a note about the gnupg-i18n ML.

Thu Oct 28 16:08:20 CEST 1999  Werner Koch  <wk@gnupg.de>

	* acinclude.m4, configure.in (GNUPG_CHECK_GNUMAKE): New.

Sat Oct  9 20:34:41 CEST 1999  Werner Koch  <wk@gnupg.de>

	* configure.in: Tweaked handling of random modules and removed
	dummy support for libgcrypt.
	* Makefile.am: Removed libgcrypt support.
	* cgrypt/ : Removed.

	* Makefile.am:	Removed libtool.

Fri Oct  8 20:32:01 CEST 1999  Werner Koch  <wk@gnupg.de>

	* configure.in: Fixed quoting in test for development version.

	* THANKS: Add entries for Michael, Brenno and J Horacio who did
	very nice Howto documents - I apoligize for forgetting to mention them
	earlier.

Tue Sep 28 20:54:37 CEST 1999  Werner Koch  <wk@gnupg.de>

	* textfilter.c (copy_clearsig_text) [__MINGW32__): Use CR,LF.

Fri Sep 17 12:56:42 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in: Add "-lcap" when capabilities are requested.
	Add the conditional CROSS_COMPILING.
	* Makefile.am: Don't use checks when CROSS_COMPILING.

Wed Sep 15 16:22:17 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in (ALL_LINGUAS): Add pt_PT.

	* configure.in: Some tweaks for cross compiling under MingW32
	* acconfig.h (USE_STATIC_RNDW32): New.

Tue Sep  7 17:08:10 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* VERSION: Set to 1.0.0.

Mon Sep  6 19:59:08 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in: Create makefile in doc/gph

	* acinclude.m4 (GNUPG_FUNC_MKDIR_TAKES_ONE_ARG): New
	* configure.in: use the above.

Thu Sep  2 16:40:55 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* VERSION: Set to 0.9.11.

Tue Aug 31 17:20:44 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in: Minor changes to the OS/2 and Mingw32 system labels.
	Add a printable name for Hurd.

Mon Aug 30 20:38:33 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in: Some support for DJGPP (Mark Elbrecht)

Wed Aug  4 10:34:46 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* VERSION: Set to 0.9.10.

Mon Jul 26 09:34:46 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* acinclude.m4 (GNUPG_SYS_SYMBOL_UNDERSCORE): remove init of ac_cv_...

	* Makefile.am (DISCLEANFILES): New

Fri Jul 23 13:53:03 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* VERSION: Set to 0.9.9.

	* configure.in: Print a notice when rndunix is used.

Thu Jul 15 10:15:35 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* acinclude.m4 (GNUPG_SYS_SYMBOL_UNDERSCORE): Fixed last modification.

Wed Jul  7 13:08:40 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* Makefile.am: Support for libtool.
	* configure.in: Ditto.

Tue Jun 29 21:44:25 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in (use_local_zlib): The lost dollar is back.

	* acinclude.m4 (GNUPG_SYS_SYMBOL_UNDERSCORE): Add EMX case.
	* configure.in: Another variant of the MX vendor string

	* configure.in (--with-capabilities): Some test code (Remi).

Sat Jun 26 12:15:59 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* acinclude.m4 (GNUPG_CHECK_RDYNAMIC): Support for HPUX and IRIX.
	* configure.in (HAVE_DL_SHL_LOAD): New for HPUX (Dave Dykstra).

	* VERSION: Now 0.9.8

Wed Jun 16 20:16:21 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in: Add test for docbook-to-man

Tue Jun 15 12:21:08 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* acinclude.m4 (GNUPG_SYS_NM_PARSE): Support for {net,free}bsd,

Thu Jun 10 14:18:23 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in (ZLIB,GDBM): Check both, header and lib.

Sat Jun  5 15:30:33 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* pkclist.c (key_present_in_pk_list): New (Michael).

Tue May 25 19:50:32 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in (IS_DEVELOPMENT_VERSION): Fixed detection.

Sun May 23 14:20:22 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* acinclude.m4 (GNUPG_SYS_SYMBOL_UNDERSCORE): assume yes when
	cross-compiling.

Mon May 17 21:54:43 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in (socket): Fix for Unisys by Katsuhiro Kondou.

Sat May  8 19:28:08 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* NEWS: Add a marker line which I forgot to do for 0.9.6.

Thu May  6 14:18:17 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* README: Minor updates

	* VERSION: Now 0.9.6

Thu Apr  8 09:35:53 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* acinclude.m4 (GNUPG_CHECK_RDYNAMIC): Fix for
					       amiga-openbsd (Peter Reich)
	(GNUPG_PROG_NM): Ditto

Wed Apr  7 20:51:39 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* Makefile.am (g10defs.h): Removed.
	* configure.in (AC_OUTPUT_COMMANDS): Create g10defs.h

Sat Mar 20 12:55:33 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* VERSION: Now 0.9.5

Sun Mar 14 19:34:36 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* acinclude.m4 (AM_SYS_SYMBOL_UNDERSCORE): Removed because it is
	now in the latest libtool.

Thu Mar 11 16:39:46 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in: Removed the need for libtool

Mon Mar  8 20:47:17 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in (DLSYM_NEEDS_UNDERSCORE): Replaced.
	* acinclude.in (AM_SYS_SYMBOL_UNDERSCORE): New.

	* VERSION: Now 0.9.4

Sun Feb 28 19:11:00 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in (dld): Test disabled.

Fri Feb 26 17:55:41 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* encode.c (encode_simple): temporary fix.

Wed Feb 24 11:07:27 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in: New option --enable-static-rnd.

Mon Feb 22 20:04:00 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* BUGS: Now we assign bug numbers.
	* OBUGS: New to keep rack o fixed bugs (CVS only)

Fri Feb 19 18:01:54 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* VERSION: Released 0.9.3

Fri Feb 19 15:49:15 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* acinclude.m4: Removed gettext macros.

Tue Feb 16 14:10:02 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in (socket): Check for -lsocket and -lnsl.
	(osf4): Disable all warnings for DEC's cc.
	(-Wall): Add more warning options for gcc

Sat Feb 13 12:04:43 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in: Changed detection of compiler flags.
	* intl/ : Removed directory

Wed Feb 10 17:15:39 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* acinclude.m4 (GNUPG_CHECK_RDYNAMIC): Fix for freebsd 2.2

	* configure.in: a lot of changes to allow selection of modules.
	Add support for OS/2.

	* acinclude.m4: add some more caching

	* README: Spelling and grammar corrections (John A. Martin)
	* INSTALL: Ditto.

Wed Jan 20 21:40:21 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in: --enable-m-guard is now default

Wed Jan 13 12:49:36 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* INSTALL: Applied new information how to build rpms by Fabio Coatti
	* Makefile.in (gnupg.spec): Changed the names.

Tue Jan 12 11:17:18 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* config.links (m68k-atari-mint): New

Tue Jan 12 09:17:19 CET 1999  Gaël Quéri <gqueri@mail.dotcom.fr>

	* all: Fixed typos all over the place

Sat Jan  9 16:02:23 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in: Add a way to statically link rndunix

Sun Jan  3 15:28:44 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* acinclude.m4 (GNUPG_CHECK_RDYNAMIC): New.
	* configure.in (DYNLOAD_CFLAGS): Use result from CHECK_RDYNAMIC

Wed Dec 23 13:18:14 CET 1998  Werner Koch  <wk@isil.d.shuttle.de>

	* README: Replaced the command overview with a short intro.

Sat Dec 12 18:40:32 CET 1998  Werner Koch  <wk@isil.d.shuttle.de>

	* configure.in: Add check for dlopen in libc (Greg Troxel)
	and a new define
	* acconfig.h (DLSYM_NEEDS_UNDERSCORE): New.

Thu Dec 10 20:15:36 CET 1998  Werner Koch  <wk@isil.d.shuttle.de>

	* acinclude.m (GNUPG_CHECK_PIC): New
	* configure.in, acinclude.m4: Renamed all WK_ to GNUPG_

Tue Dec  8 15:09:29 CET 1998  Werner Koch  <wk@isil.d.shuttle.de>

	* VERSION: Set to 0.4.5

Wed Nov 25 12:38:29 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in (USE_RNDLINUX): New.

Fri Nov 20 19:34:57 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* VERSION: Released 0.4.4

	* configure.in (try_asm_modules): For option --disable-asm

Tue Nov 10 19:32:40 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in (MPI_SFLAGS): New.

Tue Nov 10 13:44:53 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* ABOUT-NLS: New
	* configure.in (AC_REVISION): New.

Sun Nov  8 18:20:35 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* VERSION: Set to 0.4.3

Sun Oct 25 19:49:37 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* Makefile.am (g10defs.h): New macro GNUPG_DATADIR.

Wed Oct 21 17:24:24 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in: Removed gettext kludge
	* acinclude.m4: Add patched AM_WITH_NKS macro

Tue Oct 20 19:03:36 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in: Kludge to make AM_GNU_GETTEXT work,
	changed some macors to more modern versions. Also
	changeg the all makefiles to remove duplicate ../intl.
	* acinclude.m4: Removed the gettext stuff, as this
	already comes with automake now.

Wed Oct 14 12:11:34 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in (NAME_OF_DEV_RANDOM): New.
	(DYNLINK_MOD_CFLAGS): New.

Thu Oct  8 10:55:15 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* Makefile.am (g10defs.h): creates include file
	* acconfig.h: now includes g10defs.h
	* configure.in: Removed G10_LOCALEDIR and GNUPG_LIB

Thu Sep 17 18:49:40 1998  Werner Koch  (wk@(none))

	* Makefile.am (dist-hook): Now creates RPM file.
	* scripts/gnupg.spec: New template file for RPMs

Thu Jul 30 19:17:07 1998  Werner Koch  (wk@(none))

	* acinclude.h (WK_CHECK_IPC): New
	* configure.in : Add checks for SysV IPC

Thu Jun 25 11:18:49 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in (--disable-dynload): New.

Wed Jun 10 07:48:59 1998  Werner Koch,mobil,,,	(wk@tobold)

	* configure.in (GNUPG_LIBDIR): New.

Mon May 25 19:10:59 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* rand-unix.c (fast_random_poll): fixed syntax bug.

Mon May 11 10:21:31 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in (PRINTABLE_OS_NAME): Linux is now GNU/Linux

Tue Apr 14 19:08:05 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* [all files]: Applied Matthew Skala's typo and grammar fixes.

Wed Mar  4 10:32:40 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in (getrusage,gettimeofday): New tests.

Fri Feb 27 13:14:17 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in (--disable-m-guard): New.

Thu Feb 26 17:09:27 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in, acinclude.m4, intl/, po/: New macros taken
	from GNOME, switched to automake 1.2f

Thu Feb 26 09:05:46 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in (doc/Makefile): New

Thu Feb 26 07:40:47 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in: Changed gettext stuff

Wed Feb 25 11:44:10 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* checks/*test : restructured the directory.

Tue Feb 24 15:59:12 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in: Changed the name of the package to GNUPG and
	chnaged several other names too.

Wed Feb 18 17:36:45 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* Makefile.am (checks): New.

Sat Feb 14 15:37:55 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in (mpi_config_done): Removed asm links caching.

Sat Feb 14 14:02:20 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in (PRINTABLE_OS_NAME): New.
	* acconfig.h: Likewise.

Fri Feb 13 19:43:41 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* configure.in : Fixed zlib stuff
	* Makefile.am: Likewise


 Copyright 1998, 1999, 2000, 2001, 2002, 2003,
	   2004, 2005, 2006 Free Software Foundation, Inc.

 This file is free software; as a special exception the author gives
 unlimited permission to copy and/or distribute it, with or without
 modifications, as long as this notice is preserved.

 This file is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
